Subject: Re: [rtcweb] WebRTC service between SPs

From: <[email-masked]>
Date: Mon, 1 Jul 2013 17:00:34 +0200

If your WEBRTC service accepts 3rd party auth from Google, FB, Twitter, a *lot* of people can use it and you don't have to worry about
legacy interconnection concepts using SIP or XMPP. There is no longer the need for a single, global signalling protocol that covers all possible use-cases. We only need a way to authenticate callers, and perhaps their URL to reach them for a return call. Both can be done with 3rd party authentication protocols. Today.

Regards,
Wolfgang Beck

Deutsche Telekom Technik GmbH
Fixed Mobile Engineering Deutschland
Wolfgang Beck
Heinrich-Hertz-Straße 3-7, 64295 Darmstadt
+49 6151 581 2832 (Tel.)
www.telekom.de<http://www.telekom.de/>

Erleben, was verbindet.

Deutsche Telekom Technik GmbH
Aufsichtsrat: Dr. Thomas Knoll (Vorsitzender)
Geschäftsführung: Dr. Bruno Jacobfeuerborn (Vorsitzender), Albert Matheis, Klaus Peren
Handelsregister: Amtsgericht Bonn HRB 14190
Sitz der Gesellschaft Bonn
USt-IdNr. DE 814645262

________________________________
Von: [email-masked] [mailto:[email-masked]] Im Auftrag von Barry Dingle
Gesendet: Samstag, 29. Juni 2013 12:27
An: Wangyahui (Yahui)
Cc: [email-masked]
Betreff: Re: [rtcweb] WebRTC service between SPs

I had assumed that a DNS NAPTR record could be used to provide all the alternate "user id's". Am I right?

Cheers,
/Barry

Barry Dingle
Fixed - +61(0)3-9725-3937    Mob - +61(0)41-911-7578
Fellow of University of Melbourne, Electrical and Electronic Eng., Australia
> Linux + Android + Apple + Open Source software

On Sat, Jun 29, 2013 at 7:29 PM, Wangyahui (Yahui) <[email-masked]<mailto:[email-masked]>> wrote:
Thanks for your comments.
Yes, we can implement the federation between SPs through using the same signaling protocol (e.g. SIP) or deploying a gateway.

But what I concern is how to compatible with the existing various user id from different SPs. For example, if Google provides WebRTC client, then the users should be able to login using their Gmail address. In the same way, Facebook support the users using FacebookId. So the format of identification may be number, string or email and so on.

The problem is how to handle addressing users of different SPs. Should it be standardized to a unified WebRTC URI?

Yahui

发件人: Hrishikesh Kulkarni [mailto:[email-masked]<mailto:[email-masked]>]
发送时间: 2013年6月29日 14:18
收件人: Moises Silva
抄送: Jim Barnett; Wangyahui (Yahui); [email-masked]<mailto:[email-masked]>
主题: Re: [rtcweb] WebRTC service between SPs

SIP is an established standard to interoperate domains. We at OneKlikStreet.com developed a video/audio bridging service for WebRTC. Although it uses JS/JSON signaling for web based clients. Our server could very well federate with any other service using SIP. What does need to be discussed on app to app basis is what kind of federation you are looking for?
In case of bridging service we could merge calls from both servers or redirect all the calls to the host service.

regards,
Rishi
Founder, OneKlikStreet.com

On Fri, Jun 28, 2013 at 11:55 PM, Moises Silva <[email-masked]<mailto:[email-masked]>> wrote:

On Fri, Jun 28, 2013 at 12:03 PM, Jim Barnett <[email-masked]<mailto:[email-masked]>> wrote:
As I understand it, it’s not just a problem of identities.  WebRTC does not define the signaling protocol, but leaves it  up to the application.  If two users download their applications/JavaScript from the same site, it won’t be a problem, because the same application is handling both ends of the call.  But if one user is on site A while the other is on site B, there is no guarantee that either site’s application will understand the signaling from the other.

Unless websites agree to use something standard such as SIP/Jingle for federation (inter website/domain communication).

-
Moy

_______________________________________________
rtcweb mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/rtcweb

_______________________________________________
rtcweb mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/rtcweb